Bug 199851 - hald won't run under kernel 2.6.18-rc2
hald won't run under kernel 2.6.18-rc2
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-23 07:12 EDT by Andrew Clayton
Modified: 2013-03-05 22:46 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.5.7.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-26 08:33:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Clayton 2006-07-23 07:12:52 EDT
Description of problem:

hald fails to start under the 2.6.18-rc2 kernel. Works fine under 2.6.17. This
is a UP Athlon with 768MB RAM.

The version of hal that comes with FC5 hal-0.5.7-3.fc5.2, works fine under
2.6.18-rc2 (on a x86-64 at least).

Version-Release number of selected component (if applicable):

hal-0.5.2-2.fc4.1

How reproducible:

100%

Steps to Reproduce:
1. Compile and install 2.6.18-rc2 kernel.org kernel
2. /etc/rc.d/init.d/haldaemon start
3.
  
Actual results:

Fails to start.

Expected results:

To start OK

Additional info:

Output of hald --daemon=no --verbose=yes

12:09:44.949 [I] hald.c:495: hal 0.5.2
12:09:44.949 [I] hald.c:499: Will not daemonize
12:09:44.949 [I] hald_dbus.c:2504: local server is listening at
unix:abstract=/tmp/hald-local/dbus-1kgzXgztD1,guid=f858c344024ddeeab6dcfdf084681300
12:09:44.950 [I] osspec.c:305: sysfs mount point is '/sys'
12:09:44.950 [I] osspec.c:310: proc mount point is '/proc'
12:09:44.975 [I] osspec.c:475: Synthesizing sysfs events...
*** buffer overflow detected ***: hald terminated
======= Backtrace: =========
/lib/libc.so.6(__chk_fail+0x41)[0x4826abc5]
/lib/libc.so.6[0x4826a452]
hald[0x804d750]
hald[0x805c5ec]
hald[0x805997d]
hald[0x805392d]
/lib/libc.so.6(__libc_start_main+0xdf)[0x481a1d7f]
hald[0x804be91]
======= Memory map: ========
08047000-08077000 r-xp 00000000 03:02 765703     /usr/sbin/hald
08077000-08079000 rw-p 0002f000 03:02 765703     /usr/sbin/hald
08079000-0809c000 rw-p 08079000 00:00 0          [heap]
44b6b000-44b72000 r-xp 00000000 03:02 1221684    /usr/lib/libpopt.so.0.0.0
44b72000-44b73000 rw-p 00006000 03:02 1221684    /usr/lib/libpopt.so.0.0.0
4816f000-48189000 r-xp 00000000 03:02 749255     /lib/ld-2.3.6.so
48189000-4818a000 r--p 00019000 03:02 749255     /lib/ld-2.3.6.so
4818a000-4818b000 rw-p 0001a000 03:02 749255     /lib/ld-2.3.6.so
4818d000-482b0000 r-xp 00000000 03:02 749276     /lib/libc-2.3.6.so
482b0000-482b2000 r--p 00122000 03:02 749276     /lib/libc-2.3.6.so
482b2000-482b4000 rw-p 00124000 03:02 749276     /lib/libc-2.3.6.so
482b4000-482b6000 rw-p 482b4000 00:00 0
482b8000-482db000 r-xp 00000000 03:02 749272     /lib/libm-2.3.6.so
482db000-482dc000 r--p 00022000 03:02 749272     /lib/libm-2.3.6.so
482dc000-482dd000 rw-p 00023000 03:02 749272     /lib/libm-2.3.6.so
48474000-48491000 r-xp 00000000 03:02 407332     /usr/lib/libexpat.so.0.5.0
48491000-48493000 rw-p 0001c000 03:02 407332     /usr/lib/libexpat.so.0.5.0
48509000-48512000 r-xp 00000000 03:02 749926     /lib/libgcc_s-4.0.2-20051126.so.1
48512000-48513000 rw-p 00009000 03:02 749926     /lib/libgcc_s-4.0.2-20051126.so.1
48617000-4869b000 r-xp 00000000 03:02 1222968   
/usr/lib/libglib-2.0.so.0.600.64869b000-486a0000 rw-p 00084000 03:02 1222968   
/usr/lib/libglib-2.0.so.0.600.6486a8000-486e0000 r-xp 00000000 03:02 1225189   
/usr/lib/libgobject-2.0.so.0.600.6
486e0000-486e4000 rw-p 00037000 03:02 1225189    /usr/lib/libgobject-2.0.so.0.600.6
486fe000-4870d000 r-xp 00000000 03:02 1225212    /usr/lib/libdbus-glib-1.so.1.0.0
4870d000-4870e000 rw-p 0000f000 03:02 1225212    /usr/lib/libdbus-glib-1.so.1.0.0
48d9c000-48dad000 r-xp 00000000 03:02 749971     /lib/libnsl-2.3.6.so
48dad000-48dae000 r--p 00010000 03:02 749971     /lib/libnsl-2.3.6.so
48dae000-48daf000 rw-p 00011000 03:02 749971     /lib/libnsl-2.3.6.so
48daf000-48db1000 rw-p 48daf000 00:00 0
491be000-49227000 r-xp 00000000 03:02 1222015    /usr/lib/libdbus-1.so.1.0.0
49227000-4922c000 rw-p 00069000 03:02 1222015    /usr/lib/libdbus-1.so.1.0.0
b7e5b000-b7e64000 r-xp 00000000 03:02 749982     /lib/libnss_files-2.3.6.so
b7e64000-b7e65000 r--p 00008000 03:02 749982     /lib/libnss_files-2.3.6.so
b7e65000-b7e66000 rw-p 00009000 03:02 749982     /lib/libnss_files-2.3.6.so
b7e66000-b7ee6000 rw-p b7e66000 00:00 0
b7efd000-b7f04000 r--s 00000000 03:02 1239245    /usr/lib/gconv/gconv-modules.cache
b7f04000-b7f05000 r-xp b7f04000 00:00 0          [vdso]
bf948000-bf95e000 rw-p bf948000 00:00 0          [stack]
Aborted
Comment 1 Vedran Miletić 2006-07-30 08:47:57 EDT
HAL 0.5.7.1 should fix that.
http://lists.freedesktop.org/archives/hal/2006-July/005689.html
Comment 2 Vedran Miletić 2006-11-25 14:11:02 EST
Someone please close this, it's fixed with 0.5.7.1 and newer releases.

Note You need to log in before you can comment on or make changes to this bug.